Package org.apache.sysds.hops

## Enum LeftIndexingOp.LeftIndexingMethod

- java.lang.Object
- - java.lang.Enum<LeftIndexingOp.LeftIndexingMethod>
  - - org.apache.sysds.hops.LeftIndexingOp.LeftIndexingMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<LeftIndexingOp.LeftIndexingMethod>`

Enclosing class:
  LeftIndexingOp

    public static enum LeftIndexingOp.LeftIndexingMethod
    extends Enum<LeftIndexingOp.LeftIndexingMethod>

### Enum Constant Summary

Enum Constants
`SP_GLEFTINDEX`
`SP_MLEFTINDEX_L`
`SP_MLEFTINDEX_R`

### Method Summary

All Methods Static Methods Concrete Methods
`static LeftIndexingOp.LeftIndexingMethod` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static LeftIndexingOp.LeftIndexingMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SP_GLEFTINDEX

    public static final LeftIndexingOp.LeftIndexingMethod SP_GLEFTINDEX

#### SP_MLEFTINDEX_R

    public static final LeftIndexingOp.LeftIndexingMethod SP_MLEFTINDEX_R

#### SP_MLEFTINDEX_L

    public static final LeftIndexingOp.LeftIndexingMethod SP_MLEFTINDEX_L

### Method Detail

#### values

    public static LeftIndexingOp.LeftIndexingMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LeftIndexingOp.LeftIndexingMethod c : LeftIndexingOp.LeftIndexingMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LeftIndexingOp.LeftIndexingMethod valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null